List vault items without secret values
curl --request GET \
--url https://api.onkernel.com/vaults/{id_or_name}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onkernel.com/vaults/{id_or_name}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onkernel.com/vaults/{id_or_name}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"available_expansions": [
{
"description": "<string>",
"type": "payment_methods"
}
],
"available_operations": [
{
"description": "<string>",
"type": "authorize"
}
],
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"key": "<string>",
"spec": {
"authorization": {
"client": {
"type": "kernel_managed"
},
"method": "oauth"
},
"provider": "link"
},
"state": {
"provider": "link",
"status": "pending_authorization",
"status_reason": "<string>"
},
"type": "wallet",
"updated_at": "2023-11-07T05:31:56Z",
"action": {
"name": "link_oauth",
"url": "<string>"
},
"expanded": {
"payment_methods": [
{
"capabilities": {
"single_use_card": {
"eligible": true,
"reasons": [
"<string>"
]
}
},
"display": {
"brand": "<string>",
"label": "<string>",
"last4": "<string>"
},
"id": "<string>",
"is_default": true,
"provider": "<string>",
"type": "<string>"
}
]
},
"expires_at": "2023-11-07T05:31:56Z"
}
]{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Vaults
List vault items without secret values
GET
/
vaults
/
{id_or_name}
/
items
List vault items without secret values
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Vault items
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Immutable item key assigned when the item is created.
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Available options:
wallet - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
Live, non-persisted data requested through the item GET expand parameter.
Show child attributes
Show child attributes